For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
guide

Create and manage shift inputs

Fetch and manage shift inputs used in Time & Attendance time entries.

Use with AI:Rippling AI ChatGPT Claude Cursor

Overview​

Shift inputs are used to add additional information to Time & Attendance time entries pertaining to the work performed or the conditions under which the work was performed.

Some examples include:

  • The number of miles an employee drove.
  • Issues the employee encountered during their shift.
  • The type of equipment the employee used during their shift.

Available endpoints​

EndpointDescription
GET List shift inputsLists existing shift inputs.
POST Create a new shift inputCreates a new shift input. name, prompt, type, and country_code are required.
GET Retrieve a specific shift inputRetrieves a shift input by id.
PATCH Update a shift inputUpdates a shift input.
DELETE Delete a shift inputDeletes a shift input.

Related endpoints:

EndpointDescription
POST Create a new time entryCreates a new time entry.

Suggested workflow​

  1. Create a new shift input with name, prompt, type, and country_code.
  2. Fetch the new shift input and note the id.
  3. Create a new time entry and set shift_input_values[].shift_input_id to the new shift input id. Time entries can be modified until finalized, with the appropriate admin permissions.

Requirements​

  • The Rippling API SKU
  • An API token with the following scopes:
    • shift-inputs.read to fetch shift inputs
    • shift-inputs.read-write to create or update shift inputs
    • time-entries.read-write to create a new time entry

Fetch​

Use GET List shift inputs to return a list of shift inputs.

Request:

curl -L -X GET 'https://rest.ripplingapis.com/shift-inputs/'
-H 'Accept: application/json'
-H 'Authorization: Bearer REDACTED'

Response:

{
"__meta": {
"redacted_fields": []
},
"results": [
{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-03-17T21:37:32.953000+00:00",
"updated_at": "2026-03-17T21:37:32.953000+00:00",
"creator_id": "58d3a1f0e4b0a12c3d456789",
"creator": null,
"name": "Miles driven",
"prompt": "How many miles did you drive?",
"type": "number",
"country_code": "US",
"managed_by": null
}
],
"next_link": null
}
Response body fieldsDescription
idShift input identifier. Use this as shift_input_id on a time entry.
created_atWhen the shift input was created.
updated_atWhen the shift input was last updated.
creator_idWorker who created the shift input.
creatorWorker object. Returned when the request uses expand=creator. Otherwise null.
nameName of the shift unit.
promptPrompt shown for the shift unit.
typeType of shift unit. Must be 'NUMBER', 'TEXT', 'BOOLEAN', or 'LIST'.
country_codeTwo-letter country code for this shift input.
managed_byParty that manages this shift input.

Use GET Retrieve a specific shift input when you already have the shift input id.


Create​

Use POST Create a new shift input to create a new shift input.

Request:

curl -L -X POST 'https://rest.ripplingapis.com/shift-inputs/'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer REDACTED'

Request body:

{
"name": "Miles driven",
"prompt": "How many miles did you drive?",
"type": "number",
"country_code": "US",
"creator_id": "58d3a1f0e4b0a12c3d456789"
}
Request body fieldsRequiredDescription
nameYesName of the shift input.
promptYesPrompt for the employee.
typeYesType of shift input. Must be 'NUMBER', 'TEXT', 'BOOLEAN', or 'LIST'.
country_codeYesTwo-letter country code.
creator_idNoWorker who created the shift input.

Response:

{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-03-17T21:37:32.953000+00:00",
"updated_at": "2026-03-17T21:37:32.953000+00:00",
"creator_id": "58d3a1f0e4b0a12c3d456789",
"creator": null,
"name": "Miles driven",
"prompt": "How many miles did you drive?",
"type": "number",
"country_code": "US",
"managed_by": null
}

Update​

Use PATCH Update a shift input to modify an existing shift input. No fields are required, and include only the fields you are changing in the request body.

Request:

curl -L -X PATCH 'https://rest.ripplingapis.com/shift-inputs/66b26001a91aca1dfb199301/'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer REDACTED'

Request body:

{
"prompt": "Enter the miles driven during this shift."
}

Response:

{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-03-17T21:37:32.953000+00:00",
"updated_at": "2026-03-18T15:04:11.120000+00:00",
"creator_id": "58d3a1f0e4b0a12c3d456789",
"creator": null,
"name": "Miles driven",
"prompt": "Enter the miles driven during this shift.",
"type": "number",
"country_code": "US",
"managed_by": null
}

Delete​

Use DELETE Delete a shift input to remove a shift input. If a time entry is deleted, the shift input still exists.

Request:

curl -L -X DELETE 'https://rest.ripplingapis.com/shift-inputs/66b26001a91aca1dfb199301/'
-H 'Accept: application/json'
-H 'Authorization: Bearer REDACTED'

A successful delete returns 200 and no body.


See also​